/* -------------------------------------------------------------------
	Objective-C interface file for the class RDRGridViewInspector

        Author: Chris Walters, RDR, Inc.

        You may freely copy, distribute and reuse
	the code in this example.  I disclaim any warranty
	of any kind, expressed or implied, as to 
	its fitness for any particular use.

------------------------------------------------------------------- */
/*====================================================================
               Interface of class RDRGridViewInspector                
====================================================================*/
#import <nib/InterfaceBuilder.h>
#import <appkit/Application.h>

@interface RDRGridViewInspector : Inspector
{
    id gridEnabledToggle;
    id fgColorWell;
    id bgColorWell;
    id horizSpacingSlider;
    id horizSpacingField;
    id vertSpacingSlider;
    id vertSpacingField;
    id horizLineWidthField;
    id horizLineWidthSlider;
    id vertLineWidthField;
    id vertLineWidthSlider;
    id practiceGrid;
}

/* ------------- Palette Protocol (required methods) -------------- */
+finishLoading:(struct mach_header *)hdr;
+startUnloading;
-init;
-ok:sender;
-revert:sender;

/* --------- setting/accessing attributes of RDRGridView ---------- */
-toggleEnabled:sender;
-setBackgroundColor:sender;
-setForegroundColor:sender;
-setHorizontalLineSpacing:sender;
-setVerticalLineSpacing:sender;
-setHorizontalLineWidth:sender;
-setVerticalLineWidth:sender;

@end
